// 首页
import request from '@/utils/request'

// 获取首页轮播图数据
export function homeSwiperList(){
	return request({
		'url': '/home/banner',
		headers: {
			isToken: false
		},
		'method': 'get'
	})
}





// 获取推荐课程列表
export function homeCourseList(){
	return request({
		'url': '/home/course',
		headers: {
			isToken: false
		},
		'method': 'get'
	})
}
// 获取首页研究报告列表
export function homeReportList() {
	return request({
		'url': '/home/report',
		headers: {
			isToken: true
		},
		'method': 'get'
	})
}
// 获取样式设置
export function homeSetting(){
	return request({
		'url': '/home/setting',
		headers: {
			isToken: false
		},
		'method': 'get'
	})
}

export function getSwiperDetail(id){
	return request({
		url: `/home/banner/${id}`,
		headers: {
			isToken: true
		},
		'method': 'get'
	})
}

export function loadJlrzsUrl(){
	return request({
		url: '/home/getJlrzs',
		headers: {
			isToken: true
		},
		'method': 'get'
	})
}